@import 'src/assets/scss/_variables';
.content {
    height: 100vh;
    display: flex;
    justify-content: space-between;
    flex-direction: column;
    .mainPage {
        height: calc(100% - 130px);
        background-color: #fff;
        z-index: 100;
        overflow: hidden;
        overflow-y: auto;
        position: fixed;
        opacity: 1;
        width: 100%;
        transition: all 350ms linear;
        app-main-info {
            display: flex;
            align-items: center;
            justify-content: center;
            height: 100%;
            min-height: 75rem;
        }
        img {
            display: none;
        }
        .spacer {
            display: none;
        }
    }
    .resume {
        position: relative;
        z-index: 99;
        overflow-y: hidden;
        margin-top: 6rem;
        app-resume {
            display: flex;
            align-items: center;
            justify-content: center;
        }
    }
    .agreement {
        display: none;
    }
    &.show-resume-progress {
        .mainPage {
            opacity: 0;
        }
    }
    &.show-resume-finished {
        height: auto !important;
        .mainPage {
            opacity: 0;
            height: 0;
        }
    }
    &.show-hp-progress {
        height: auto !important;
        .mainPage {
            height: calc(100% - 130px);
            opacity: 0;
        }
    }
    &.show-hp-finished {
        height: 100vh !important;
        .mainPage {
            opacity: 1;
        }
    }
}

@media print {
    .content {
        height: 100%;
        display: block;
        .mainPage {
            height: 13rem !important;
            opacity: 1 !important;
            background-color: #fff;
            z-index: 100;
            overflow: hidden;
            position: relative;
            app-main-info {
                display: block;
                min-height: 0;
                height: 12.8rem;
                background-color: #fafafa;
            }
            img {
                position: absolute;
                bottom: 0;
                display: block;
            }
        }
        .resume {
            margin-top: 0;
            padding: 3rem 6rem;
        }
        .agreement {
            display: block;
            font-size: 0.7rem;
            position: absolute;
            line-height: 0.9rem;
            width: 100%;
            bottom: 1rem;
            padding: 0 3rem;
            color: #5F6A7A;
            font-style: italic;
        }
    }
    app-menu {
        display: none;
    }
}